/* CodeX style.
 *
 * Copyright (C) 1999, 2000 The SourceForge Crew
 * Copyright (C) 2000-2006 Mathieu Roy <yeupou--gnu.org>
 * Copyright (C) 2014, 2016, 2017 Assaf Gordon
 * Copyright (C) 2001-2011, 2013, 2017 Sylvain Beucler
 * Copyright (C) 2013, 2014, 2017-2025 Ineiev
 *
 * This file is part of Savane.
 *
 * Code written before 2008-03-30 (commit 8b757b2565ff) is distributed
 * under the terms of the GNU General Public license version 3 or (at your
 * option) any later version; further contributions are covered by
 * the GNU Affero General Public license version 3 or (at your option)
 * any later version.  The license notices for the AGPL and the GPL follow.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/


/* GUIDELINES VERSION FOLLOWED: 1.18 */

@import "internal/base.css";


/**********************************************************************
 *
 * Very basic (mostly text) items:
 *
 **********************************************************************/

body {
  margin: 1%;
  border: #d3d3c9;
  background: #e8e8e0;
  color: #333333;
}



a { text-decoration: none; color: #992e1b;}
a:hover { text-decoration: underline; color: #ff0000; }
a:active { color: #aa6666; }


.unavailable, .unavailable:hover
{
  text-decoration: none;
  color: #606060;
}
.unavailable:active { color: #606060; }

.footer {
	border-top: thin solid #d3d3c9;
	font-size: x-small;
	color: #333333;
}

h1 {
	text-indent: 1em;
	border-collapse: collapse;
        background-color: #e8e8e0;
	width: 100% ;
}
h2 {
	text-indent: 1em;
	border-collapse:	collapse;
	border-bottom: 0.2em solid #e8e8e0;
	width: 100% ;
}

h4 {
	border-collapse:	collapse;
	border-bottom: 0.1em solid #e8e8e0;
	width: 100% ;
}

.help {
	border-bottom: solid 2px #e8e8e0;
}

.highlight { background-color: #ffe0db; color: #333333; }

.quote { color: #706e68; }


/**********************************************************************
 *
 * Alignment, main tables
 *
 **********************************************************************/

.main {
	padding: 0.5em;
	border: thin solid #bcbcb7;
	background-color: #ffffff;
}


/**********************************************************************
 *
 * Menus
 *
 **********************************************************************/

.menu {
	background-color: #e8e8e0;
	font-size: small;
	width: 16%;
}
.menutitle {
	vertical-align: top;
	font-weight: bold;
	text-align: center;
	color: #333333;
	border-bottom: thin solid black;
}
.menuitem {
	text-align: right;
	color: #333333;
	padding-right: 0.5em;
	list-style-type: none;
	border-bottom: thin solid #d3d3c9;
}

.relatedrecipes {
	text-align: right;
	color: #333333;
	padding-right: 0.5em;
	list-style-type: none;
	border-bottom: thin solid #d3d3c9;
}

.topmenu {
	border-collapse: collapse;
	border-bottom: 0.2em solid white;
}


.topmenuitemmainitem {
	border-bottom: 0.2em solid #e8e8e0;
}

ul.topmenuitemsubmenu {
	background: white;
	border: thin solid #bcbcb7;
}


ul.topmenuitemsubmenu li {
	border: thin solid #e8e8e0;
	border-left: 0.3em solid #e8e8e0;
	border-top: 1px solid #e8e8e0;
}


li.topmenuitemsubmenu:hover {
	text-decoration: underline;
	color: #ff0000;

}


li.topmenuitemsubmenuseparator {
	background-color: #e8e8e0;
}



/* we cannot keep it in bold, it makes an extra space with some konqueror
  version (RHEL) */
.tabselect { color: #000000; /* font-weight: bold; */ }
.tabselect:visited { /*font-weight: bold; */}
.tabselect:hover { color:#ff0000; /*font-weight: bold;*/ }


/**********************************************************************
 *
 * Boxes
 *
 **********************************************************************/

.box {
	vertical-align: top;
	border-spacing: 1px;
	border: 0;
}

.boxtitle {
	background-color: #e0ddce;
	font-weight: bold;
	text-align: center;
	color: #000000;
	border: thin solid #b7b7ae;
}
.boxitem {
	background-color: #efefef;
	text-align: left;
	color: #333333;
	border: thin solid #e0e0e0;
}
.boxitemextra {
	background-color: #EDEDED;
}
.boxitemalt {
	background-color: #ffffff;
	text-align: left;
	color: #333333;
	border: thin solid #f4f4f4;
}
.boxitemaltextra {
	background-color: #FDFDFD;
}
.boxoptions {
	background-color: #f9f5e8;
	text-align: left;
	color: #333333;
}
.boxhighlight { background-color: #ffe0db; text-align: left; color: #333333; }


/* Forms */
.preinput { color: #706e68; }

button,input
{
  background-color: #f9f5e8;
  color: black;
}
select { background-color: #f9f5e8; color: black; }
textarea { background-color: #f9f5e8; color: black; }

/* Priorities */
.priora { border: none; }
.priorb { border: none; }
.priorc { border: none; }
.priord { border: none; }
.priore { border: none; }
.priorf { border: none; }
.priorg { border: none; }
.priorh { border: none; }
.priori { border: none; }

.prioraclosed { border: none; }
.priorbclosed { border: none; }
.priorcclosed { border: none; }
.priordclosed { border: none; }
.prioreclosed { border: none; }
.priorfclosed { border: none; }
.priorgclosed { border: none; }
.priorhclosed { border: none; }
.prioriclosed { border: none; }
